##
#  Controller to manage api requests involving binary projects
#
class Api::V1::ProjectController < ApplicationController

  before_action :authenticate_with_soap_token

  def show_all
    begin
      projects = Project.select([:id,
                                 :project_url_name,
                                 :tool_ref
                                ])
      render json: projects.as_json,
             status: 200
    rescue Exceptions::PermissionDenied
      render json: {message:'PermissionDenied'},
             status: 403
    rescue => e
      render json: {message:'Internal server error'},
             status: 500
    end
  end


  def render_unauthorized
    render json: {message:'UnAuthorized'},
           status: 401
  end

end