##
#  Controller to hold the endpoints for the iaf api
#  calls that teamforge makes . These iaf api calls
#  facilitates iaf integration.
#
class Services::TeamForgeController < ApplicationController
  # switching it off as it is a controller for api call
  protect_from_forgery with: :null_session
  before_action :authenticate_iaf_api

  # disabling Style/AccessorMethodName cop as a
  # we are following orchestartes way to implement
  # iaf api calls.
  # rubocop:disable Style/AccessorMethodName
  def get_configuration_parameters
    render :configuration_parameters
  end

  def create_project_configuration
    head :no_content
  end

  def update_project_configuration
    head :no_content
  end

  def delete_project_configuration
    head :no_content
  end

  def get_ctf_project_id
    @ctf_project_id = 'proj1001'
    render :ctf_project_id
  end

  def get_title
    object_id = params[:object_id]
    if object_id =~ /^\d+$/
      repository = Repository.find_by(id: object_id.to_i, is_deleted: false)
    else
      decoded_str = Base64.decode64(object_id)
      url, _ = decoded_str.split(':')
      repository = Repository.find_by(repository_host: URI.decode(url),
                                      is_deleted: false)
    end
    if repository.blank?
      render nothing: true
      return
    end
    @title = repository.iaf_app_name + ' : ' + repository.repository_name +
      ' ( ' + repository.repository_host + ' ) '
    render :title
  end
  # rubocop:enable Style/AccessorMethodName
end
