require File.expand_path('../boot', __FILE__)

require 'rails/all'

# Require the gems listed in Gemfile, including any gems
# you've limited to :test, :development, or :production.
Bundler.require(*Rails.groups)

module CtfBinaryApp
  class Application < Rails::Application
    # Settings in config/environments/* take precedence over those specified
    # here.  Application configuration should go into files in
    # config/initializers -- all .rb files in that directory are automatically
    # loaded.

    # Set Time.zone default to the specified zone and make Active Record
    # auto-convert to this zone.  Run "rake -D time" for a list of tasks for
    # finding time zone names. Default is UTC.  config.time_zone = 'Central Time
    # (US & Canada)'

    # The default locale is :en and all translations from
    # config/locales/*.rb,yml are auto loaded.  config.i18n.load_path +=
    # Dir[Rails.root.join('my', 'locales', '*.{rb,yml}').to_s]
    # config.i18n.default_locale = :de

    yaml_config = YAML.load(
                      ERB.new(File.read(Rails.root.join 'config/settings.yml')
                      ).result
                  )[Rails.env].with_indifferent_access

    config.teamforge = yaml_config.fetch(:teamforge) rescue {}
    app_url_prefix = config.teamforge.fetch 'app_url_prefix'
    config.active_record.table_name_prefix = "#{app_url_prefix}_"
    ctf_base_url = config.teamforge.fetch :ctf_base_url
    TeamForge.use_ssl = ctf_base_url.start_with?('https:')
    TeamForge.server = ctf_base_url
    config.autoload_paths << Rails.root.join('lib')
    config.assets.enabled = true
    config.assets.prefix = "/#{app_url_prefix}/assets"
    config.relative_url_root = ENV['RAILS_RELATIVE_URL_ROOT'] || '/'
    config.teamforge['iaf_base_url'] = config.teamforge.fetch(:iaf_host_url) +
                                       config.relative_url_root.chomp('/') +
                                       "/#{app_url_prefix}"
    config.teamforge['orc_base_url'] = ctf_base_url + '/orc'
    config.teamforge['orc_api_url'] = ctf_base_url + '/orc/api/2'
  end
end
