require 'spec_helper'

describe RepositoryController do
  describe '#show' do
    it 'when logging in the very first time by clicking the buttonbar' do
      request.path_info = "/#{Rails.configuration.teamforge['app_url_prefix']}"
      ctf_session_id = TeamForge::Login.new('admin', 'admin').request
      ctf_one_time_token = TeamForge::GetOneTimeToken
        .new(ctf_session_id)
        .request
      redirect_url = "/#{Rails.configuration.teamforge['app_url_prefix']}/" +
                     'projects.look'
      get :show, sfLoginToken: ctf_one_time_token, sfProj: 'look'
      expect(response).to redirect_to redirect_url
    end

    it 'when user traverses from any other page to the list repo page..
       so no onetime token here ' do
      app_url_prefix = Rails.configuration.teamforge['app_url_prefix']
      request.path_info = "/#{app_url_prefix}" + '/projects.look'
      ctf_session_id = TeamForge::Login.new('admin', 'admin').request
      request.session['ctf_soapsession_id'] = ctf_session_id
      get :show, sfProj: 'look'
    end

    it 'when user reclicks button bar even though he has already logged in' do
      request.path_info = "/#{Rails.configuration.teamforge['app_url_prefix']}"
      ctf_session_id = TeamForge::Login.new('admin', 'admin').request
      ctf_one_time_token = TeamForge::GetOneTimeToken
        .new(ctf_session_id)
        .request
      request.session['ctf_one_time_token'] = 'not-one-time-token'
      get :show, sfLoginToken: ctf_one_time_token, sfProj: 'look'
      redirect_url = "/#{Rails.configuration.teamforge['app_url_prefix']}/" +
                     'projects.look'
      expect(response).to redirect_to redirect_url
    end
  end
end
