
module TeamForge
	module CategorizationApp

######################
#  CategorizationApp Messages
######################
		AddProjectToCategory = TFSoapRequest.new(:session_id, :project_id, :category_id)
		CreateCategory = TFSoapRequest.new(:session_id, :parent_id, :title, :description)
		DeleteCategory = TFSoapRequest.new(:session_id, :category_id)
		GetAllCategories = TFSoapRequest.new(:session_id)
		GetCategoryData = TFSoapRequest.new(:session_id, :category_id)
		GetCategoryProjects = TFSoapRequest.new(:session_id, :category_id, :include_subcategories)
		GetProjectCategories = TFSoapRequest.new(:session_id, :project_id)
		GetRootCategoryData = TFSoapRequest.new(:session_id)
		GetSubcategories = TFSoapRequest.new(:session_id, :category_id, :recursive)
		GetUncategorizedProjects = TFSoapRequest.new(:session_id)
		IsCategorizationEnabled = TFSoapRequest.new(:session_id)
		MoveCategory = TFSoapRequest.new(:session_id, :category_id, :dst_category_id)
		RemoveProjectFromCategory = TFSoapRequest.new(:session_id, :project_id, :category_id)
		SetCategoryData = TFSoapRequest.new(:session_id, :category_data)


######################
#  CategorizationApp Types
######################

		CategorySoapDO = TFType.new(:created_by,:created_date,:description,:id,:last_modified_by,:last_modified_date,:parent_folder_id,:path,:project_id,:title,:version, :attributes!)
		CategorySoapRow = TFType.new(:created_by,:created_on,:description,:id,:last_modified_by,:last_modified_on,:parent_folder_id,:path,:project_id,:title, :attributes!)
		ProjectSoapRow = TFType.new(:date_created,:description,:hierarchy_path,:id,:locked,:parent_project_id,:path,:title, :attributes!)

	end # module CategorizationApp


end # module TeamForge