
module TeamForge
######################
#  CollabNet Messages
######################
		AddProjectGroupAdmins = TFSoapRequest.new(:session_id, :project_group_id, :usernames)
		AddProjectGroupMember = TFSoapRequest.new(:session_id, :project_group_id, :user_name)
		AddProjectMember = TFSoapRequest.new(:session_id, :project_id, :user_name)
		AddProjectsToProjectGroup = TFSoapRequest.new(:session_id, :project_group_id, :project_ids)
		AddUserGroupMember = TFSoapRequest.new(:session_id, :user_group_id, :user_name)
		CanReceiveOwnUpdates = TFSoapRequest.new(:session_id)
		ChangeIAObjectTitle = TFSoapRequest.new(:session_id, :pluggable_object_id, :pluggable_object_title)
		ChangePassword = TFSoapRequest.new(:session_id, :user_name, :new_password)
		CreateAssociation = TFSoapRequest.new(:session_id, :origin_id, :target_id, :description)
		CreateAssociationWithTitles = TFSoapRequest.new(:session_id, :origin_id, :origin_title, :target_id, :target_title, :description)
		CreateOrReplaceProjectTemplate = TFSoapRequest.new(:session_id, :project_id, :title, :description, :content_choices, :template_id)
		CreateProjectFromTemplate = TFSoapRequest.new(:session_id, :template_id, :name, :title, :description)
		CreateProjectGroup = TFSoapRequest.new(:session_id, :title, :description)
		CreateProjectLinkedApp = TFSoapRequest.new(:session_id, :project_id, :title, :application_url, :icon_key, :icon_file_name, :icon_mime_type, :single_signon)
		CreateProject = TFSoapRequest.new(:session_id, :name, :title, :description)
		CreateSiteWideLinkedApp = TFSoapRequest.new(:session_id, :title, :application_url, :application_type, :single_signon)
		CreateUserGroup = TFSoapRequest.new(:session_id, :full_name, :description)
		CreateUser = TFSoapRequest.new(:session_id, :user_name, :email, :full_name, :organization, :locale, :time_zone, :license_type, :is_super_user, :is_restricted_user, :password)
		DeleteAssociation = TFSoapRequest.new(:session_id, :origin_id, :target_id)
		DeleteAttachment = TFSoapRequest.new(:session_id, :object_id, :attachment_id)
		DeleteLinkedApp = TFSoapRequest.new(:session_id, :linked_app_id)
		DeleteProjectGroup = TFSoapRequest.new(:session_id, :project_group_id, :force_delete_even_if_member_project_found)
		DeleteProject = TFSoapRequest.new(:session_id, :project_id, :no_notification, :force_delete_even_if_child_found)
		DeleteUserGroup = TFSoapRequest.new(:session_id, :group_id)
		DoMandatoryPasswordChange = TFSoapRequest.new(:user_name, :old_password, :new_password)
		FindProjects = TFSoapRequest.new(:session_id, :query_string)
		FindUsers = TFSoapRequest.new(:session_id, :query_string)
		GetApiVersion = TFSoapRequest.new(:empty)
		GetAssociationList = TFSoapRequest.new(:session_id, :object_id)
		GetAuditHistoryList = TFSoapRequest.new(:session_id, :object_id, :include_derived_changes)
		GetBroadCastMessage = TFSoapRequest.new(:session_id)
		GetCommentList = TFSoapRequest.new(:session_id, :object_id)
		GetConfigurationValue = TFSoapRequest.new(:session_id, :key_value)
		GetCurrentTime = TFSoapRequest.new(:session_id)
		GetCurrentUserData = TFSoapRequest.new(:session_id)
		GetJSessionBySoapId = TFSoapRequest.new(:soap_id)
		GetJSessionId = TFSoapRequest.new(:one_time_token)
		GetLinkedApplicationData = TFSoapRequest.new(:session_id, :linked_app_id)
		GetMemberProjectsForProjectGroup = TFSoapRequest.new(:session_id, :project_group_id)
		GetOneTimeToken = TFSoapRequest.new(:session_id)
		GetProjectAccessLevel = TFSoapRequest.new(:session_id, :project_id)
		GetProjectByPath = TFSoapRequest.new(:session_id, :project_path)
		GetProjectData = TFSoapRequest.new(:session_id, :project_id)
		GetProjectDiskUsage = TFSoapRequest.new(:session_id, :project_id)
		GetProjectGroupData = TFSoapRequest.new(:session_id, :project_group_id)
		GetProjectGroupMemberList = TFSoapRequest.new(:session_id, :project_group_id)
		GetProjectGroupsForProject1 = TFSoapRequest.new(:session_id, :project_id)
		GetProjectGroupsForProject = TFSoapRequest.new(:session_id, :project_id)
		GetProjectHierarchyPaths = TFSoapRequest.new(:session_id, :project_ids)
		GetProjectListForUser = TFSoapRequest.new(:session_id, :username, :fetch_hierarchy_path, :include_group_membership)
		GetProjectList = TFSoapRequest.new(:session_id, :fetch_hierarchy_path)
		GetProjectMemberList = TFSoapRequest.new(:session_id, :project_id)
		GetProjectQuota = TFSoapRequest.new(:session_id, :project_id)
		GetSessionId = TFSoapRequest.new(:one_time_token)
		GetSubprojectList = TFSoapRequest.new(:session_id, :project_id, :fetch_hierarchy_path)
		GetUserByEmail = TFSoapRequest.new(:session_id, :email)
		GetUserByName = TFSoapRequest.new(:session_id, :fullname)
		GetUserData2 = TFSoapRequest.new(:session_id, :username)
		GetUserData = TFSoapRequest.new(:session_id, :username)
		GetUserEffectiveMode = TFSoapRequest.new(:session_id)
		GetUserGroupData = TFSoapRequest.new(:session_id, :group_id)
		GetUserGroupListForProject = TFSoapRequest.new(:session_id, :project_or_project_group_id)
		GetUserGroupListForUser = TFSoapRequest.new(:session_id, :username)
		GetUserGroupList = TFSoapRequest.new(:session_id)
		GetUserGroupMembers = TFSoapRequest.new(:session_id, :group_id)
		GetUserList2 = TFSoapRequest.new(:session_id, :soap_filter)
		GetUserList = TFSoapRequest.new(:session_id, :soap_filter)
		GetUserSessionBySoapId = TFSoapRequest.new(:soap_id)
		GetVersionInformationList = TFSoapRequest.new(:session_id, :folder_id)
		GetVersion = TFSoapRequest.new(:session_id)
		GetWebAndSoapSessionId = TFSoapRequest.new(:one_time_token)
		HasGeneralPermission = TFSoapRequest.new(:session_id, :username, :project_id, :operation_string, :object_id)
		HasPermission2 = TFSoapRequest.new(:session_id, :project_id, :operation_string, :object_id)
		HasPermission = TFSoapRequest.new(:session_id, :username, :project_id, :operation_string, :object_id)
		HasSitewideRolePermission = TFSoapRequest.new(:session_id, :operation_string)
		IsHostedMode = TFSoapRequest.new(:session_id)
		IsSoapRedirectPostOnlyMode = TFSoapRequest.new(:session_id)
		KeepAlive = TFSoapRequest.new(:session_id)
		ListAttachments = TFSoapRequest.new(:session_id, :object_id)
		ListGroupsWithGeneralPermission = TFSoapRequest.new(:session_id, :project_id, :operation_string, :folder_id, :include_inherited)
		ListProjectAdmins = TFSoapRequest.new(:session_id, :project_id)
		ListProjectGroups = TFSoapRequest.new(:session_id)
		ListProjectLinkedApps = TFSoapRequest.new(:session_id, :project_id)
		ListSiteWideLinkedApps = TFSoapRequest.new(:session_id)
		ListTemplates = TFSoapRequest.new(:session_id)
		ListUsersWithGeneralPermission = TFSoapRequest.new(:session_id, :project_id, :operation_string, :folder_id)
		ListUsersWithPermissionOnObject = TFSoapRequest.new(:session_id, :operation_string, :object_id, :flag)
		LockProject = TFSoapRequest.new(:session_id, :project_id)
		LoginAnonymous = TFSoapRequest.new(:anon_shared_secret)
		Login = TFSoapRequest.new(:user_name, :password)
		LoginWithToken = TFSoapRequest.new(:username, :one_time_token)
		Logoff = TFSoapRequest.new(:user_name, :session_id)
		ReindexObject = TFSoapRequest.new(:session_id, :object_id)
		RemoveProjectGroupAdmins = TFSoapRequest.new(:session_id, :project_group_id, :usernames)
		RemoveProjectGroupMember = TFSoapRequest.new(:session_id, :project_group_id, :user_name)
		RemoveProjectMember = TFSoapRequest.new(:session_id, :project_id, :user_name)
		RemoveProjectsFromProjectGroup = TFSoapRequest.new(:session_id, :project_member_ids, :project_group_id)
		RemoveUserGroupMember = TFSoapRequest.new(:session_id, :user_group_id, :user_name)
		SetLinkedApplicationData = TFSoapRequest.new(:session_id, :linked_application_soap_do, :icon_key, :icon_file_name, :icon_mime_type)
		SetParentProject = TFSoapRequest.new(:session_id, :project_id, :parent_project_id)
		SetProjectAccessLevel = TFSoapRequest.new(:session_id, :project_id, :access_level)
		SetProjectGroupData = TFSoapRequest.new(:session_id, :project_group_data)
		SetProjectQuota = TFSoapRequest.new(:session_id, :project_id, :quota)
		SetUserData2 = TFSoapRequest.new(:session_id, :user_data)
		SetUserData = TFSoapRequest.new(:session_id, :user_data)
		SetUserGroupData = TFSoapRequest.new(:session_id, :group_data)
		UnLockProject = TFSoapRequest.new(:session_id, :project_id)


######################
#  CollabNet Types
######################

		AssociationSoapRow = TFType.new(:created_by,:creator_full_name,:date_created,:date_last_modified,:description,:origin_id,:origin_title,:origin_version,:target_id,:target_title,:target_version, :attributes!)
		AttachmentSoapRow = TFType.new(:attachment_id,:created_by,:created_by_fullname,:date_created,:file_name,:file_size,:mimetype,:raw_file_id,:stored_file_id,:transaction_id, :attributes!)
		AuditHistorySoapRow = TFType.new(:comment,:date_modified,:modified_by,:modifier_full_name,:new_value,:old_value,:operation,:property_name, :attributes!)
		CommentSoapRow = TFType.new(:created_by,:created_by_fullname,:date_created,:description,:id,:transaction_id, :attributes!)
		LinkedApplicationSoapDO = TFType.new(:application_type,:application_url,:created_by,:created_date,:display_order,:folder_id,:icon_key,:id,:last_modified_by,:last_modified_date,:path,:single_signon_enabled,:title,:version, :attributes!)
		LinkedApplicationSoapRow = TFType.new(:application_type,:application_url,:display_order,:icon_id,:id,:single_sign_on_enabled,:title, :attributes!)
		ProjectGroupMemberSoapRow = TFType.new(:email,:full_name,:user_name, :attributes!)
		ProjectGroupSoapDO = TFType.new(:created_by,:created_date,:description,:id,:last_modified_by,:last_modified_date,:path,:title,:version, :attributes!)
		ProjectGroupSoapRow = TFType.new(:date_created,:description,:id,:member_projects,:path,:title, :attributes!)
		ProjectMemberSoapRow = TFType.new(:email,:full_name,:user_name, :attributes!)
		ProjectSoapDO = TFType.new(:created_by,:created_date,:description,:hierarchy_path,:id,:last_modified_by,:last_modified_date,:locked,:parent_project_id,:path,:title,:version, :attributes!)
		ProjectSoapRow = TFType.new(:date_created,:description,:hierarchy_path,:id,:locked,:parent_project_id,:path,:title, :attributes!)
		SoapFilter = TFType.new(:name,:value, :attributes!)
		SoapNamedValues = TFType.new(:names,:values, :attributes!)
		User2SoapDO = TFType.new(:alternate_email1,:alternate_email2,:alternate_email3,:created_by,:created_date,:email,:full_name,:id,:last_login,:last_modified_by,:last_modified_date,:license_type,:locale,:organization,:profile_picture_link,:restricted_user,:status,:super_user,:time_zone,:username,:version, :attributes!)
		User2SoapRow = TFType.new(:alternate_email1,:alternate_email2,:alternate_email3,:email,:full_name,:id,:last_login,:license_type,:locale,:organization,:restricted_user,:status,:super_user,:time_zone,:user_name, :attributes!)
		UserGroupSoapDO = TFType.new(:created_by,:created_date,:description,:full_name,:id,:last_modified_by,:last_modified_date,:version, :attributes!)
		UserGroupSoapRow = TFType.new(:description,:full_name,:id, :attributes!)
		UserSoapDO = TFType.new(:alternate_email1,:alternate_email2,:alternate_email3,:created_by,:created_date,:email,:full_name,:id,:last_login,:last_modified_by,:last_modified_date,:license_type,:locale,:organization,:restricted_user,:status,:super_user,:time_zone,:username,:version, :attributes!)
		UserSoapRow = TFType.new(:alternate_email1,:alternate_email2,:alternate_email3,:email,:full_name,:last_login,:license_type,:locale,:organization,:restricted_user,:status,:super_user,:time_zone,:user_name, :attributes!)
		VersionInformationSoapRow = TFType.new(:id,:is_folder,:last_modified_date,:version, :attributes!)


end # module TeamForge