
module TeamForge
	module DiscussionApp

######################
#  DiscussionApp Messages
######################
		CreateForum2 = TFSoapRequest.new(:session_id, :project_id, :list_name, :forum_name, :description, :list_enabled, :prefix, :footer, :forum_type, :moderators, :trusted_users, :reply_to, :message_size, :email_posting, :email_monitoring, :web_posting, :captcha)
		CreateForum = TFSoapRequest.new(:session_id, :project_id, :list_name, :forum_name, :description, :list_enabled, :prefix, :footer, :forum_type, :moderators, :trusted_users, :reply_to, :message_size)
		CreatePost2 = TFSoapRequest.new(:session_id, :parent_post_id, :title, :message, :attachments, :cc_recipients)
		CreatePost = TFSoapRequest.new(:session_id, :parent_post_id, :title, :message, :attachment_file_name, :attachment_mime_type, :attachment_file_id, :cc_recipients)
		CreatePrivateForum2 = TFSoapRequest.new(:session_id, :project_id, :list_name, :forum_name, :description, :list_enabled, :prefix, :footer, :forum_type, :moderators, :trusted_users, :reply_to, :message_size, :email_posting, :email_monitoring, :web_posting, :captcha)
		CreatePrivateForum = TFSoapRequest.new(:session_id, :project_id, :list_name, :forum_name, :description, :list_enabled, :prefix, :footer, :forum_type, :moderators, :trusted_users, :reply_to, :message_size)
		CreateTopic2 = TFSoapRequest.new(:session_id, :forum_id, :title, :message, :attachments, :cc_recipients)
		CreateTopic = TFSoapRequest.new(:session_id, :forum_id, :title, :message, :attachment_file_name, :attachment_mime_type, :attachment_file_id, :cc_recipients)
		DeletePost = TFSoapRequest.new(:session_id, :post_id)
		DeleteTopic = TFSoapRequest.new(:session_id, :topic_id)
		FindPosts = TFSoapRequest.new(:session_id, :query_string, :project_id, :search_attachments)
		GetForumList2 = TFSoapRequest.new(:session_id, :project_id)
		GetForumList = TFSoapRequest.new(:session_id, :project_id)
		GetPostList = TFSoapRequest.new(:session_id, :topic_id)
		GetTopicList = TFSoapRequest.new(:session_id, :forum_id)


######################
#  DiscussionApp Types
######################

		AttachmentSoapDO = TFType.new(:attachment_file_id,:attachment_file_name,:attachment_mime_type,:created_by,:created_date,:id,:last_modified_by,:last_modified_date,:version, :attributes!)
		Forum2SoapDO = TFType.new(:captcha,:created_by,:created_date,:description,:email_monitoring,:email_posting,:footer,:forum_type,:id,:last_modified_by,:last_modified_date,:list_enabled,:list_name,:message_size,:parent_folder_id,:path,:prefix,:private_forum,:project_id,:reply_to,:title,:version,:web_posting, :attributes!)
		Forum2SoapRow = TFType.new(:captcha,:created_by,:created_on,:description,:email_monitoring,:email_posting,:footer,:forum_type,:id,:is_list_enabled,:last_modified_by,:last_modified_on,:list_name,:message_size,:parent_folder_id,:path,:prefix,:private_forum,:project_id,:replyto,:title,:web_posting, :attributes!)
		ForumSoapDO = TFType.new(:created_by,:created_date,:description,:footer,:forum_type,:id,:last_modified_by,:last_modified_date,:list_enabled,:list_name,:parent_folder_id,:path,:prefix,:private_forum,:project_id,:reply_to,:title,:version, :attributes!)
		ForumSoapRow = TFType.new(:created_by,:created_on,:description,:footer,:forum_type,:id,:is_list_enabled,:last_modified_by,:last_modified_on,:list_name,:parent_folder_id,:path,:prefix,:private_forum,:project_id,:replyto,:title, :attributes!)
		PostSoapDO = TFType.new(:content,:created_by,:created_date,:folder_id,:id,:last_modified_by,:last_modified_date,:path,:reply_to_id,:status,:title,:version, :attributes!)
		PostSoapRow = TFType.new(:content,:created_by_user_name,:created_date,:forum_id,:id,:project_id,:reply_to_id,:status,:title,:topic_id, :attributes!)
		TopicSoapDO = TFType.new(:created_by,:created_date,:description,:id,:last_modified_by,:last_modified_date,:last_post_by,:last_post_date,:parent_folder_id,:path,:project_id,:status,:title,:version,:view_count, :attributes!)
		TopicSoapRow = TFType.new(:created_by,:created_on,:description,:id,:last_modified_by,:last_modified_on,:parent_folder_id,:path,:project_id,:title, :attributes!)

	end # module DiscussionApp


end # module TeamForge