
module TeamForge
	module DocumentApp

######################
#  DocumentApp Messages
######################
		CreateDocumentFolder = TFSoapRequest.new(:session_id, :parent_id, :title, :description)
		CreateDocument = TFSoapRequest.new(:session_id, :parent_id, :title, :description, :version_comment, :status, :create_locked, :file_name, :mime_type, :file_id, :association_id, :association_desc)
		CreateDocumentWithUrl = TFSoapRequest.new(:session_id, :parent_id, :title, :description, :version_comment, :status, :create_locked, :file_url, :association_id, :association_desc)
		CreateReview = TFSoapRequest.new(:session_id, :document_id, :version, :title, :description, :due_date, :required_reviewers, :optional_reviewers, :attach_document)
		DeleteDocumentFolder = TFSoapRequest.new(:session_id, :folder_id)
		DeleteDocument = TFSoapRequest.new(:session_id, :document_id)
		FindDocuments = TFSoapRequest.new(:session_id, :query_string, :project_id, :search_attachments, :current_versions_only)
		GetAssignedDocumentReviewList = TFSoapRequest.new(:session_id, :username)
		GetDocumentData = TFSoapRequest.new(:session_id, :document_id, :document_version)
		GetDocumentFileId = TFSoapRequest.new(:session_id, :document_id, :document_version)
		GetDocumentFolderData = TFSoapRequest.new(:session_id, :folder_id)
		GetDocumentFolderList = TFSoapRequest.new(:session_id, :parent_id, :recursive)
		GetDocumentList = TFSoapRequest.new(:session_id, :parent_id, :filters)
		GetDocumentReviewList = TFSoapRequest.new(:session_id, :container_id, :filters)
		MoveDocumentFolder = TFSoapRequest.new(:session_id, :folder_id, :dest_folder_id)
		MoveDocument = TFSoapRequest.new(:session_id, :document_id, :target_folder_id)
		SetDocumentData = TFSoapRequest.new(:session_id, :document_data, :file_id)
		SetDocumentDataWithAssociation = TFSoapRequest.new(:session_id, :document_data, :file_id, :association_id, :association_comment)
		SetDocumentFolderData = TFSoapRequest.new(:session_id, :document_folder_data)


######################
#  DocumentApp Types
######################

		DocumentFolderSoapDO = TFType.new(:created_by,:created_date,:description,:id,:last_modified_by,:last_modified_date,:parent_folder_id,:path,:project_id,:title,:version, :attributes!)
		DocumentFolderSoapRow = TFType.new(:created_by,:created_on,:description,:id,:last_modified_by,:last_modified_on,:parent_folder_id,:path,:project_id,:title, :attributes!)
		DocumentReviewSoapDO = TFType.new(:created_by,:created_date,:description,:document_version,:due_date,:end_date,:folder_id,:id,:last_modified_by,:last_modified_date,:path,:status,:title,:version, :attributes!)
		DocumentReviewSoapRow = TFType.new(:created_by,:date_created,:description,:document_id,:due_date,:end_date,:id,:optional_reviewers_usernames,:required_reviewers_usernames,:status,:title,:version_number, :attributes!)
		DocumentSoapDO = TFType.new(:created_by,:created_date,:current_version,:date_version_created,:description,:document_version,:file_name,:file_size,:file_url,:folder_id,:id,:last_modified_by,:last_modified_date,:latest_version,:locale,:locked_by,:mime_type,:path,:status,:title,:version,:version_comment,:version_created_by, :attributes!)
		DocumentSoapRow = TFType.new(:created_by,:current_version,:date_created,:date_last_modified,:date_version_created,:description,:file_name,:file_size,:file_url,:folder_id,:folder_path_string,:folder_title,:id,:last_modified_by,:last_modified_by_full_name,:locked_by,:mime_type,:project_id,:project_path_string,:project_title,:title,:version_comment,:version_created_by,:version_created_by_fullname,:version_id,:version_number,:version_status, :attributes!)
		SoapFilter = TFType.new(:name,:value, :attributes!)

	end # module DocumentApp


end # module TeamForge