
module TeamForge
	module FrsApp

######################
#  FrsApp Messages
######################
		CreateFrsFile = TFSoapRequest.new(:session_id, :release_id, :file_name, :mime_type, :file_id)
		CreatePackage = TFSoapRequest.new(:session_id, :project_id, :title, :description, :is_published)
		CreateRelease = TFSoapRequest.new(:session_id, :package_id, :title, :description, :status, :maturity)
		DeleteFrsFile = TFSoapRequest.new(:session_id, :frs_file_id)
		DeletePackage = TFSoapRequest.new(:session_id, :package_id)
		DeleteRelease = TFSoapRequest.new(:session_id, :release_id)
		GetArtifactListReportedInRelease2 = TFSoapRequest.new(:session_id, :release_id)
		GetArtifactListReportedInRelease = TFSoapRequest.new(:session_id, :release_id)
		GetArtifactListResolvedInRelease2 = TFSoapRequest.new(:session_id, :release_id)
		GetArtifactListResolvedInRelease = TFSoapRequest.new(:session_id, :release_id)
		GetFrsFileData = TFSoapRequest.new(:session_id, :frs_file_id)
		GetFrsFileId = TFSoapRequest.new(:session_id, :frs_file_id)
		GetFrsFileList = TFSoapRequest.new(:session_id, :release_id)
		GetPackageData = TFSoapRequest.new(:session_id, :package_id)
		GetPackageList = TFSoapRequest.new(:session_id, :project_id)
		GetReleaseData = TFSoapRequest.new(:session_id, :release_id)
		GetReleaseList = TFSoapRequest.new(:session_id, :package_id)
		SetPackageData = TFSoapRequest.new(:session_id, :package_data)
		SetReleaseData = TFSoapRequest.new(:session_id, :release_data)


######################
#  FrsApp Types
######################

		Artifact2SoapRow = TFType.new(:actual_effort,:artifact_group,:assigned_to_fullname,:assigned_to_username,:auto_summing_points,:autosumming,:category,:close_date,:customer,:description,:estimated_effort,:folder_id,:folder_path_string,:folder_title,:id,:last_modified_date,:planning_folder_id,:points,:priority,:project_id,:project_path_string,:project_title,:remaining_effort,:status,:status_class,:submitted_by_fullname,:submitted_by_username,:submitted_date,:team_id,:title,:version, :attributes!)
		ArtifactSoapRow = TFType.new(:actual_effort,:artifact_group,:assigned_to_fullname,:assigned_to_username,:autosumming,:category,:close_date,:customer,:description,:estimated_effort,:folder_id,:folder_path_string,:folder_title,:id,:last_modified_date,:planning_folder_id,:points,:priority,:project_id,:project_path_string,:project_title,:remaining_effort,:status,:status_class,:submitted_by_fullname,:submitted_by_username,:submitted_date,:title,:version, :attributes!)
		FrsFileSoapDO = TFType.new(:created_by,:created_date,:description,:filename,:folder_id,:id,:last_modified_by,:last_modified_date,:mime_type,:path,:size,:title,:version, :attributes!)
		FrsFileSoapRow = TFType.new(:content_id,:date_created,:description,:file_size,:filename,:folder_path_string,:id,:mime_type,:package_id,:package_title,:project_id,:project_path_string,:project_title,:release_id,:release_title,:title, :attributes!)
		PackageSoapDO = TFType.new(:created_by,:created_date,:description,:downloaded,:id,:is_published,:last_modified_by,:last_modified_date,:parent_folder_id,:path,:project_id,:title,:version, :attributes!)
		PackageSoapRow = TFType.new(:created_by,:created_on,:description,:id,:last_modified_by,:last_modified_on,:parent_folder_id,:path,:project_id,:status,:title, :attributes!)
		ReleaseSoapDO = TFType.new(:created_by,:created_date,:description,:downloaded,:id,:last_modified_by,:last_modified_date,:maturity,:parent_folder_id,:path,:project_id,:status,:title,:version, :attributes!)
		ReleaseSoapRow = TFType.new(:created_by,:created_on,:description,:id,:last_modified_by,:last_modified_on,:maturity,:parent_folder_id,:path,:project_id,:status,:title, :attributes!)

	end # module FrsApp


end # module TeamForge