
module TeamForge
	module PageApp

######################
#  PageApp Messages
######################
		AddPageImage = TFSoapRequest.new(:session_id, :project_id, :file_id, :filename, :mimetype)
		CreateComponent2 = TFSoapRequest.new(:session_id, :page_id, :comp_name, :component_type, :top_of_page, :visibility, :attributes, :content)
		CreateComponent = TFSoapRequest.new(:session_id, :page_id, :comp_name, :component_type, :top_of_page, :visibility, :attributes, :content)
		CreatePage = TFSoapRequest.new(:session_id, :project_id, :parent_id, :title, :visible, :freeform)
		DeletePageComponent = TFSoapRequest.new(:session_id, :page_component_id)
		DeletePageImage = TFSoapRequest.new(:session_id, :project_id, :attachment_id)
		DeletePage = TFSoapRequest.new(:session_id, :page_id)
		GetPageComponent = TFSoapRequest.new(:session_id, :page_component_id)
		GetPageComponents = TFSoapRequest.new(:session_id, :page_id)
		GetPageData = TFSoapRequest.new(:session_id, :page_id)
		GetPageImageUrl = TFSoapRequest.new(:session_id, :project_id, :attachment_id)
		GetPageList = TFSoapRequest.new(:session_id, :project_id)
		GetTextComponentContent = TFSoapRequest.new(:session_id, :page_comp_id)
		ListPageImages = TFSoapRequest.new(:session_id, :project_id)
		MovePage = TFSoapRequest.new(:session_id, :page_folder_path, :dest_path)
		SetComponentDisplayOrder = TFSoapRequest.new(:session_id, :page_id, :component_ids)
		SetLifecycleMetricComponentContent = TFSoapRequest.new(:session_id, :page_component, :content)
		SetPageComponentData = TFSoapRequest.new(:session_id, :page_component)
		SetPageData = TFSoapRequest.new(:session_id, :page_data)
		SetPageDisplayOrder = TFSoapRequest.new(:session_id, :folder_id, :children_page_ids)
		SetTextComponentContent = TFSoapRequest.new(:session_id, :page_comp_id, :content)


######################
#  PageApp Types
######################

		AttachmentSoapRow = TFType.new(:attachment_id,:created_by,:created_by_fullname,:date_created,:file_name,:file_size,:mimetype,:raw_file_id,:stored_file_id,:transaction_id, :attributes!)
		PageComponent2SoapDO = TFType.new(:component_type,:created_by,:created_date,:folder_id,:id,:last_modified_by,:last_modified_date,:path,:read_only_text_source,:settings,:title,:version,:visiblity, :attributes!)
		PageComponentSoapDO = TFType.new(:component_type,:created_by,:created_date,:folder_id,:id,:last_modified_by,:last_modified_date,:path,:settings,:title,:version,:visiblity, :attributes!)
		PageSoapDO = TFType.new(:created_by,:created_date,:description,:free_form,:id,:last_modified_by,:last_modified_date,:parent_folder_id,:path,:project_id,:title,:version,:visible, :attributes!)
		PageSoapRow = TFType.new(:created_by,:created_on,:description,:display_position,:freeform,:id,:last_modified_by,:last_modified_on,:parent_folder_id,:path,:project_id,:title,:visible, :attributes!)
		SoapNamedValues = TFType.new(:names,:values, :attributes!)

	end # module PageApp


end # module TeamForge