
module TeamForge
	module RbacApp

######################
#  RbacApp Messages
######################
		AddCluster = TFSoapRequest.new(:session_id, :role_id, :operation_cluster, :folder_id)
		AddGroup = TFSoapRequest.new(:session_id, :group_id, :role_id, :project_or_project_group_id)
		AddIntegratedApplicationPermission = TFSoapRequest.new(:session_id, :role_id, :integrated_app_name, :permission)
		AddUser = TFSoapRequest.new(:session_id, :role_id, :username)
		AddUserToProjectRole = TFSoapRequest.new(:session_id, :role_id, :username, :project_or_project_group_id)
		ApproveRole = TFSoapRequest.new(:session_id, :request_id, :project_id)
		CreateGlobalRole = TFSoapRequest.new(:session_id, :title, :description, :prevent_inheritance, :requestable)
		CreateRole = TFSoapRequest.new(:session_id, :project_or_project_group_id, :title, :description, :prevent_inheritance, :requestable, :auto_grant)
		CreateSiteWideRole = TFSoapRequest.new(:session_id, :title, :description, :prevent_inheritance)
		DeleteRole = TFSoapRequest.new(:session_id, :role_id)
		GetAutomaticallyGrantOn = TFSoapRequest.new(:session_id, :role_id, :project_id)
		GetGlobalRoleList = TFSoapRequest.new(:session_id)
		GetGlobalRolesForAssignment = TFSoapRequest.new(:session_id, :project_or_project_group_id)
		GetGroupRoleList = TFSoapRequest.new(:session_id, :group_id, :project_id_or_project_group_id)
		GetInheritedRoleList = TFSoapRequest.new(:session_id, :project_id)
		GetIntegratedAppPermissionsForProject = TFSoapRequest.new(:session_id, :project_id, :link_id)
		GetPendingedRoles = TFSoapRequest.new(:session_id, :project_id)
		GetProjectRoleMemberList = TFSoapRequest.new(:session_id, :role_id, :project_or_project_group_id)
		GetProjectsByIntegratedAppPermission = TFSoapRequest.new(:session_id, :perm, :integrated_app_name)
		GetProjectsForAction = TFSoapRequest.new(:session_id, :operation_string, :user_name)
		GetRoleData = TFSoapRequest.new(:session_id, :role_id)
		GetRoleGroupList = TFSoapRequest.new(:session_id, :role_id)
		GetRoleGroupUsers = TFSoapRequest.new(:session_id, :project_id_or_project_group_id, :role_id)
		GetRoleList = TFSoapRequest.new(:session_id, :project_or_project_group_id)
		GetRoleMemberList = TFSoapRequest.new(:session_id, :role_id)
		GetSiteWideRoleList = TFSoapRequest.new(:session_id)
		GetUserRoleList = TFSoapRequest.new(:session_id, :project_or_project_group_id, :username)
		GetUserSiteWideRoleList = TFSoapRequest.new(:session_id, :username)
		GrantRolesToMembers = TFSoapRequest.new(:session_id, :user_roles_soap_d_os, :project_id)
		ListClusterForDefaultAccessPermissions = TFSoapRequest.new(:session_id, :project_id)
		ListClusters = TFSoapRequest.new(:session_id, :role_id)
		ListGroupRolesByProjectGroup = TFSoapRequest.new(:session_id, :project_group_id)
		ListGroupRolesByProject = TFSoapRequest.new(:session_id, :project_id)
		ListRolePaths = TFSoapRequest.new(:session_id, :role_id, :repository_id)
		RejectRole = TFSoapRequest.new(:session_id, :request_id, :project_id)
		RemoveCluster = TFSoapRequest.new(:session_id, :role_id, :operation_cluster, :folder_id)
		RemoveGroup = TFSoapRequest.new(:session_id, :group_id, :role_id, :project_or_project_group_id)
		RemoveUserFromProjectRole = TFSoapRequest.new(:session_id, :role_id, :username, :project_or_project_group_id)
		RemoveUser = TFSoapRequest.new(:session_id, :role_id, :username)
		RequestRole = TFSoapRequest.new(:session_id, :role_id, :project_id)
		RevokeRolesFromMembers = TFSoapRequest.new(:session_id, :user_roles_soap_d_os, :project_id)
		SetAutomaticallyGrantOn = TFSoapRequest.new(:session_id, :role_id, :project_id, :auto_grant)
		SetRoleData = TFSoapRequest.new(:session_id, :role_data)
		SetRolePaths = TFSoapRequest.new(:session_id, :role_id, :repository_id, :role_paths)


######################
#  RbacApp Types
######################

		ProjectSoapRow = TFType.new(:date_created,:description,:hierarchy_path,:id,:locked,:parent_project_id,:path,:title, :attributes!)
		RoleCluster2SoapRow = TFType.new(:folder_id,:operation_cluster_name,:role_id,:user_class, :attributes!)
		RoleClusterSoapRow = TFType.new(:folder_id,:operation_cluster_name, :attributes!)
		RoleGroupSoapRow = TFType.new(:group_id,:project_id,:role_id, :attributes!)
		RoleRequestSoapRow = TFType.new(:created_by_user_full_name,:created_by_username,:created_date,:id,:last_modified_date,:last_modified_user_full_name,:last_modified_username,:project_id,:projet_path,:projet_title,:role_id,:role_type,:status, :attributes!)
		RoleSoapDO = TFType.new(:created_by,:created_date,:created_in_project_id,:description,:id,:last_modified_by,:last_modified_date,:prevent_inheritance,:requestable,:role_type,:status,:title,:version, :attributes!)
		RoleSoapRow = TFType.new(:created_in_project_id,:description,:id,:prevent_inheritance,:requestable,:role_type,:status,:title, :attributes!)
		SoapNamedValues = TFType.new(:names,:values, :attributes!)
		UserGroupSoapRow = TFType.new(:description,:full_name,:id, :attributes!)
		UserRolesSoapDO = TFType.new(:created_by,:created_date,:id,:last_modified_by,:last_modified_date,:role_ids,:user_name,:version, :attributes!)
		UserSoapRow = TFType.new(:alternate_email1,:alternate_email2,:alternate_email3,:email,:full_name,:last_login,:license_type,:locale,:organization,:restricted_user,:status,:super_user,:time_zone,:user_name, :attributes!)

	end # module RbacApp


end # module TeamForge