
module TeamForge
	module ScmApp

######################
#  ScmApp Messages
######################
		AddExternalSystem = TFSoapRequest.new(:session_id, :adapter_type, :title, :description, :adapter_type_parameters)
		CreateRepository2 = TFSoapRequest.new(:session_id, :project_id, :external_system_id, :repository_directory, :title, :description, :id_required_on_commit, :hide_monitoring_details, :comment, :params)
		CreateRepository = TFSoapRequest.new(:session_id, :project_id, :external_system_id, :repository_directory, :title, :description, :id_required_on_commit, :hide_monitoring_details, :comment)
		DeleteRepository = TFSoapRequest.new(:session_id, :repository_id)
		GetAuthorizedKeysForUser = TFSoapRequest.new(:session_id, :username)
		GetAuthorizedKeys = TFSoapRequest.new(:session_id)
		GetCommitData2 = TFSoapRequest.new(:session_id, :commit_id)
		GetCommitData = TFSoapRequest.new(:session_id, :commit_id)
		GetCommitId = TFSoapRequest.new(:session_id, :revision, :external_system_id, :repo_path)
		GetCommitList = TFSoapRequest.new(:session_id, :repository_id, :filters)
		GetExternalSystemList = TFSoapRequest.new(:session_id)
		GetExternalSystem = TFSoapRequest.new(:session_id, :system_id)
		GetReplicableScmExternalSystemList = TFSoapRequest.new(:session_id)
		GetReplicatedRepositoryList = TFSoapRequest.new(:session_id, :master_repository_id)
		GetRepository2DataById = TFSoapRequest.new(:session_id, :repository_id)
		GetRepository2Data = TFSoapRequest.new(:session_id, :external_system_id, :repository_directory)
		GetRepositoryDataById = TFSoapRequest.new(:session_id, :repository_id)
		GetRepositoryData = TFSoapRequest.new(:session_id, :external_system_id, :repository_directory)
		GetRepositoryListForExternalSystem = TFSoapRequest.new(:session_id, :external_system_id, :user_name)
		GetRepositoryList = TFSoapRequest.new(:session_id, :project_id)
		GetSCMCheckoutCommand = TFSoapRequest.new(:session_id, :repository_id, :user_name)
		GetScmAdapterNames = TFSoapRequest.new(:session_id)
		GetScmAdapterParameterNamesWithType = TFSoapRequest.new(:session_id, :adapter_name)
		MoveRepository = TFSoapRequest.new(:session_id, :repository_id, :project_id)
		SetAuthorizedKeysForUser = TFSoapRequest.new(:session_id, :username, :authorized_keys)
		SetAuthorizedKeys = TFSoapRequest.new(:session_id, :authorized_keys)
		SetAuthorizedKeys1 = TFSoapRequest.new(:session_id, :username, :authorized_keys)
		SetExternalSystemData = TFSoapRequest.new(:session_id, :system_data)
		SetRepositoryData = TFSoapRequest.new(:session_id, :repository)


######################
#  ScmApp Types
######################

		Commit2SoapDO = TFType.new(:commit_message,:created_by,:created_by_fullname,:created_date,:files,:folder_id,:id,:last_modified_by,:last_modified_date,:path,:title,:version, :attributes!)
		CommitSoapDO = TFType.new(:commit_message,:created_by,:created_by_fullname,:created_date,:files,:folder_id,:id,:last_modified_by,:last_modified_date,:path,:title,:version, :attributes!)
		CommitSoapRow = TFType.new(:commit_message,:created_by,:created_by_fullname,:date_created,:folder_path_string,:id,:project_id,:project_path_string,:project_title,:title, :attributes!)
		ExternalSystemSoapDO = TFType.new(:adapter_category,:adapter_name,:adapter_param_types,:adapter_params,:created_by,:created_date,:id,:last_modified_by,:last_modified_date,:system_description,:system_title,:version, :attributes!)
		ExternalSystemSoapRow = TFType.new(:adapter_category,:adapter_name,:description,:id,:requires_approval,:title, :attributes!)
		ReplicableScmExternalSystemSoapRow = TFType.new(:description,:id,:is_svn_edge,:title, :attributes!)
		ReplicatedRepositorySoapRow = TFType.new(:checkout_command,:created_by,:created_on,:description,:health,:id,:last_modified_by,:last_modified_on,:managed_by_full_name,:managed_by_username,:parent_folder_id,:path,:project_id,:status,:title,:url, :attributes!)
		Repository2SoapDO = TFType.new(:created_by,:created_date,:description,:hide_monitoring_details,:id,:id_required_on_commit,:is_on_managed_scm_server,:last_modified_by,:last_modified_date,:parameters,:parent_folder_id,:path,:project_id,:repository_directory,:scm_adapter_name,:scm_viewer_url,:system_id,:system_title,:title,:version, :attributes!)
		RepositoryParameter2SoapDO = TFType.new(:param_key,:param_value, :attributes!)
		RepositorySoapDO = TFType.new(:created_by,:created_date,:description,:hide_monitoring_details,:id,:id_required_on_commit,:is_on_managed_scm_server,:last_modified_by,:last_modified_date,:parent_folder_id,:path,:project_id,:repository_directory,:scm_adapter_name,:scm_viewer_url,:system_id,:system_title,:title,:version, :attributes!)
		RepositorySoapRow = TFType.new(:commits_this_week,:created_by,:created_on,:description,:id,:last_modified_by,:last_modified_on,:parent_folder_id,:path,:project_id,:repository_path,:title, :attributes!)
		ScmFile2SoapRow = TFType.new(:filename,:id,:ref_filename,:status,:version, :attributes!)
		ScmFileSoapRow = TFType.new(:commit_message,:filename,:id,:ref_filename,:status,:version, :attributes!)
		SoapFilter = TFType.new(:name,:value, :attributes!)
		SoapNamedValues = TFType.new(:names,:values, :attributes!)

	end # module ScmApp


end # module TeamForge