
module TeamForge
	module TaskApp

######################
#  TaskApp Messages
######################
		CreateTaskDependency = TFSoapRequest.new(:session_id, :origin_task_id, :target_task_id)
		CreateTaskGroup = TFSoapRequest.new(:session_id, :parent_id, :title, :description)
		CreateTask = TFSoapRequest.new(:session_id, :task_group_id, :title, :description, :priority, :user_assigned_to, :status, :start_date, :end_date, :estimated_hours, :required_hours, :include_weekends)
		DeleteTaskDependency = TFSoapRequest.new(:session_id, :origin_task_id, :target_task_id)
		DeleteTaskGroup = TFSoapRequest.new(:session_id, :task_group_id)
		DeleteTask = TFSoapRequest.new(:session_id, :task_id)
		FindTasks = TFSoapRequest.new(:session_id, :query_string, :project_id, :search_attachments)
		GetPredecessorTaskList = TFSoapRequest.new(:session_id, :target_task_id)
		GetSuccessorTaskList = TFSoapRequest.new(:session_id, :origin_task_id)
		GetTaskData = TFSoapRequest.new(:session_id, :task_id)
		GetTaskGroupData = TFSoapRequest.new(:session_id, :task_group_id)
		GetTaskGroupList = TFSoapRequest.new(:session_id, :parent_id)
		GetTaskList = TFSoapRequest.new(:session_id, :container_id, :filters)
		HasTasksWithPendingChanges = TFSoapRequest.new(:session_id, :task_group_id)
		MoveTaskGroup = TFSoapRequest.new(:session_id, :task_group_id, :target_task_group_id)
		MoveTask = TFSoapRequest.new(:session_id, :task_id, :target_task_group_id)
		RenameTaskGroup = TFSoapRequest.new(:session_id, :task_group_id, :new_title)
		ReorderTaskGroups = TFSoapRequest.new(:session_id, :parent_folder_id, :task_group_ids)
		SetTaskData = TFSoapRequest.new(:session_id, :task_data, :comment)


######################
#  TaskApp Types
######################

		SoapFilter = TFType.new(:name,:value, :attributes!)
		TaskGroupSoapDO = TFType.new(:created_by,:created_date,:description,:id,:last_modified_by,:last_modified_date,:overdue_tasks,:parent_folder_id,:path,:project_id,:status,:status_rollup,:title,:version, :attributes!)
		TaskGroupSoapRow = TFType.new(:created_by,:created_on,:description,:id,:last_modified_by,:last_modified_on,:overdue_tasks,:parent_folder_id,:path,:project_id,:status,:status_rollup,:title, :attributes!)
		TaskSoapDO = TFType.new(:accomplishments,:assigned_to,:created_by,:created_date,:description,:end_date,:estimated_hours,:estimation_start,:folder_id,:id,:include_weekends,:issues,:last_modified_by,:last_modified_date,:path,:planned,:priority,:required_hours,:start_date,:status,:title,:version, :attributes!)
		TaskSoapRow = TFType.new(:accomplished,:assigned_to_full_name,:assigned_to_username,:created_by_full_name,:created_by_username,:description,:end_date,:estimated_hours,:folder_id,:folder_path,:folder_title,:id,:include_weekends,:issues,:parent_folder_id,:planned,:priority,:project_id,:project_path,:project_title,:required_hours,:start_date,:status,:title, :attributes!)

	end # module TaskApp


end # module TeamForge