
module TeamForge
	module TrackerApp

######################
#  TrackerApp Messages
######################
		AddDateField = TFSoapRequest.new(:session_id, :tracker_id, :field_name, :is_required, :is_disabled, :is_hidden_on_create, :help_text)
		AddMultiSelectField = TFSoapRequest.new(:session_id, :tracker_id, :field_name, :display_lines, :is_required, :is_disabled, :is_hidden_on_create, :field_values, :default_values, :help_text)
		AddSeparator = TFSoapRequest.new(:session_id, :tracker_id, :separator_type, :separator_label)
		AddSingleSelectChildField = TFSoapRequest.new(:session_id, :tracker_id, :field_name, :field_values, :parent_field_id, :parent_child_field_value_map, :help_text)
		AddSingleSelectField = TFSoapRequest.new(:session_id, :tracker_id, :field_name, :is_required, :is_disabled, :is_hidden_on_create, :field_values, :default_value, :help_text)
		AddTextField = TFSoapRequest.new(:session_id, :tracker_id, :field_name, :display_columns, :display_lines, :is_required, :is_disabled, :is_hidden_on_create, :default_value, :help_text, :pattern)
		AddUserSelectField = TFSoapRequest.new(:session_id, :tracker_id, :field_name, :display_lines, :is_required, :is_disabled, :is_hidden_on_create, :default_values, :user_filter, :help_text)
		CloneTrackerAcrossProject = TFSoapRequest.new(:session_id, :src_tracker_id, :dest_project_id, :dest_tracker_title, :dest_tracker_description)
		CloneTracker = TFSoapRequest.new(:session_id, :src_tracker_id, :dest_tracker_title, :dest_tracker_description)
		CopyWorkflowTransitions = TFSoapRequest.new(:session_id, :src_tracker_id, :dst_tracker_id)
		CreateArtifact2 = TFSoapRequest.new(:session_id, :tracker_id, :title, :description, :group, :category, :status, :customer, :priority, :estimated_effort, :remaining_effort, :autosumming, :points, :assigned_username, :release_id, :planning_folder_id, :flex_fields, :attachments)
		CreateArtifact3 = TFSoapRequest.new(:session_id, :tracker_id, :title, :description, :group, :category, :status, :customer, :priority, :estimated_effort, :remaining_effort, :autosumming, :points, :auto_summing_points, :assigned_username, :release_id, :planning_folder_id, :team_id, :flex_fields, :attachments)
		CreateArtifactDependency = TFSoapRequest.new(:session_id, :origin_id, :target_id, :desc)
		CreateArtifact = TFSoapRequest.new(:session_id, :tracker_id, :title, :description, :group, :category, :status, :customer, :priority, :estimated_effort, :remaining_effort, :autosumming, :points, :assigned_username, :release_id, :planning_folder_id, :flex_fields, :attachment_file_name, :attachment_mime_type, :attachment_file_id)
		CreateTracker2 = TFSoapRequest.new(:session_id, :project_id, :tracker_name, :tracker_title, :tracker_description, :icon, :tracker_unit_id)
		CreateTracker3 = TFSoapRequest.new(:session_id, :project_id, :tracker_name, :tracker_title, :tracker_description, :icon, :tracker_unit_id, :autosum_foreign_children)
		CreateTracker = TFSoapRequest.new(:session_id, :project_id, :tracker_name, :tracker_title, :tracker_description, :icon)
		DeleteArtifact = TFSoapRequest.new(:session_id, :artifact_id)
		DeleteField = TFSoapRequest.new(:session_id, :object_id, :field_id)
		DeleteSeparator = TFSoapRequest.new(:session_id, :tracker_id, :layout_id)
		FindArtifacts2 = TFSoapRequest.new(:session_id, :query_string, :project_id, :search_attachments)
		FindArtifacts = TFSoapRequest.new(:session_id, :query_string, :project_id, :search_attachments)
		GetAllowedWorkflowTransitionList = TFSoapRequest.new(:session_id, :tracker_id)
		GetArtifactData2 = TFSoapRequest.new(:session_id, :artifact_id)
		GetArtifactData = TFSoapRequest.new(:session_id, :artifact_id)
		GetArtifactDetailList2 = TFSoapRequest.new(:session_id, :tracker_id, :selected_columns, :filters, :sort_keys, :start_index, :max_rows, :exception_if_expired_cache, :force_new_query)
		GetArtifactDetailList = TFSoapRequest.new(:session_id, :tracker_id, :selected_columns, :filters, :sort_keys, :start_index, :max_rows, :exception_if_expired_cache, :force_new_query)
		GetArtifactList2 = TFSoapRequest.new(:session_id, :container_id, :filters)
		GetArtifactList = TFSoapRequest.new(:session_id, :container_id, :filters)
		GetChildDependencyList = TFSoapRequest.new(:session_id, :artifact_id)
		GetCrossTrackerArtifactList2 = TFSoapRequest.new(:session_id, :container_id, :filters, :selected_columns)
		GetCrossTrackerArtifactList = TFSoapRequest.new(:session_id, :container_id, :filters, :selected_columns)
		GetFields = TFSoapRequest.new(:session_id, :tracker_id)
		GetOrderedTrackerFields = TFSoapRequest.new(:session_id, :tracker_id)
		GetParentDependencyList = TFSoapRequest.new(:session_id, :artifact_id)
		GetTracker2Data = TFSoapRequest.new(:session_id, :tracker_id)
		GetTracker2List = TFSoapRequest.new(:session_id, :project_id)
		GetTracker3Data = TFSoapRequest.new(:session_id, :tracker_id)
		GetTracker3List = TFSoapRequest.new(:session_id, :project_id)
		GetTrackerData = TFSoapRequest.new(:session_id, :tracker_id)
		GetTrackerList = TFSoapRequest.new(:session_id, :project_id)
		GetUnitsByProject = TFSoapRequest.new(:session_id, :project_id)
		MoveArtifact2 = TFSoapRequest.new(:session_id, :artifact_id, :target_folder_id, :new_assignee)
		MoveArtifact = TFSoapRequest.new(:session_id, :artifact_id, :target_folder_id, :new_assignee)
		RemoveArtifactDependency = TFSoapRequest.new(:session_id, :origin_id, :target_id)
		ReorderTrackerFields = TFSoapRequest.new(:session_id, :tracker_id, :layout_ids)
		ReorderTrackers = TFSoapRequest.new(:session_id, :tracker_ids)
		SetArtifactData2 = TFSoapRequest.new(:session_id, :artifact_data, :comment, :attachments)
		SetArtifactData3 = TFSoapRequest.new(:session_id, :artifact_data, :comment, :attachments)
		SetArtifactData = TFSoapRequest.new(:session_id, :artifact_data, :comment, :attachment_file_name, :attachment_mime_type, :attachment_file_id)
		SetArtifactRank = TFSoapRequest.new(:session_id, :planning_folder_id, :artf_to_rank_id, :artf_before_id, :artf_after_id)
		SetField = TFSoapRequest.new(:session_id, :object_id, :field_data)
		SetTracker2Data = TFSoapRequest.new(:session_id, :tracker_data)
		SetTracker3Data = TFSoapRequest.new(:session_id, :tracker_data)
		SetTrackerData = TFSoapRequest.new(:session_id, :tracker_data)


######################
#  TrackerApp Types
######################

		Artifact2SoapDO = TFType.new(:actual_effort,:assigned_to,:auto_summing_points,:autosumming,:category,:close_date,:created_by,:created_date,:customer,:description,:estimated_effort,:flex_fields,:folder_id,:group,:id,:last_modified_by,:last_modified_date,:path,:planning_folder_id,:points,:priority,:remaining_effort,:reported_release_id,:resolved_release_id,:status,:status_class,:team_id,:title,:version, :attributes!)
		Artifact2SoapRow = TFType.new(:actual_effort,:artifact_group,:assigned_to_fullname,:assigned_to_username,:auto_summing_points,:autosumming,:category,:close_date,:customer,:description,:estimated_effort,:folder_id,:folder_path_string,:folder_title,:id,:last_modified_date,:planning_folder_id,:points,:priority,:project_id,:project_path_string,:project_title,:remaining_effort,:status,:status_class,:submitted_by_fullname,:submitted_by_username,:submitted_date,:team_id,:title,:version, :attributes!)
		ArtifactDependencySoapRow = TFType.new(:description,:has_view_permission,:origin_id,:origin_status,:origin_status_class,:origin_title,:target_id,:target_status,:target_status_class,:target_title,:tracker_icon, :attributes!)
		ArtifactDetail2SoapRow = TFType.new(:actual_effort,:artifact_group,:assigned_to_fullname,:assigned_to_username,:auto_summing_points,:autosumming,:category,:close_date,:customer,:description,:estimated_effort,:flex_fields,:folder_id,:folder_path_string,:folder_title,:id,:last_modified_date,:planning_folder_id,:planning_folder_title,:points,:priority,:project_id,:project_path_string,:project_title,:remaining_effort,:reported_in_release_id,:reported_in_release_title,:resolved_in_release_id,:resolved_in_release_title,:status,:status_class,:submitted_by_fullname,:submitted_by_username,:submitted_date,:team_id,:team_title,:title,:tracker_icon,:version, :attributes!)
		ArtifactDetailSoapRow = TFType.new(:actual_effort,:artifact_group,:assigned_to_fullname,:assigned_to_username,:autosumming,:category,:close_date,:customer,:description,:estimated_effort,:flex_fields,:folder_id,:folder_path_string,:folder_title,:id,:last_modified_date,:planning_folder_id,:planning_folder_title,:points,:priority,:project_id,:project_path_string,:project_title,:remaining_effort,:reported_in_release_id,:reported_in_release_title,:resolved_in_release_id,:resolved_in_release_title,:status,:status_class,:submitted_by_fullname,:submitted_by_username,:submitted_date,:title,:tracker_icon,:version, :attributes!)
		ArtifactSoapDO = TFType.new(:actual_effort,:assigned_to,:autosumming,:category,:close_date,:created_by,:created_date,:customer,:description,:estimated_effort,:flex_fields,:folder_id,:group,:id,:last_modified_by,:last_modified_date,:path,:planning_folder_id,:points,:priority,:remaining_effort,:reported_release_id,:resolved_release_id,:status,:status_class,:title,:version, :attributes!)
		ArtifactSoapRow = TFType.new(:actual_effort,:artifact_group,:assigned_to_fullname,:assigned_to_username,:autosumming,:category,:close_date,:customer,:description,:estimated_effort,:folder_id,:folder_path_string,:folder_title,:id,:last_modified_date,:planning_folder_id,:points,:priority,:project_id,:project_path_string,:project_title,:remaining_effort,:status,:status_class,:submitted_by_fullname,:submitted_by_username,:submitted_date,:title,:version, :attributes!)
		AttachmentSoapDO = TFType.new(:attachment_file_id,:attachment_file_name,:attachment_mime_type,:created_by,:created_date,:id,:last_modified_by,:last_modified_date,:version, :attributes!)
		OrderedTrackerFieldSoapRow = TFType.new(:default_text_value,:default_usernames,:disabled,:display_lines,:display_order,:display_size,:field_display_type,:field_id,:field_name,:field_values,:folder_id,:help_text,:hidden_on_create,:label,:layout_id,:parent_childfield_value_map,:parent_field_id,:pattern,:required,:user_filter,:value_type, :attributes!)
		SoapFieldValues = TFType.new(:names,:types,:values, :attributes!)
		SoapFilter = TFType.new(:name,:value, :attributes!)
		SoapNamedValues = TFType.new(:names,:values, :attributes!)
		SoapSortKey = TFType.new(:ascending,:name, :attributes!)
		Tracker2SoapDO = TFType.new(:assignments,:auto_assign_field,:created_by,:created_date,:description,:icon,:id,:last_modified_by,:last_modified_date,:parent_folder_id,:path,:project_id,:title,:tracker_unit_id,:version, :attributes!)
		Tracker2SoapRow = TFType.new(:created_by,:created_on,:description,:icon,:id,:last_edited_by_fullname,:last_edited_by_username,:last_edited_date,:last_modified_by,:last_modified_on,:parent_folder_id,:path,:project_id,:title,:tracker_unit_id, :attributes!)
		Tracker3SoapDO = TFType.new(:assignments,:auto_assign_field,:autosum_foreign_children,:created_by,:created_date,:description,:icon,:id,:last_modified_by,:last_modified_date,:parent_folder_id,:path,:project_id,:title,:tracker_unit_id,:version, :attributes!)
		Tracker3SoapRow = TFType.new(:autosum_foreign_children,:created_by,:created_on,:description,:icon,:id,:last_edited_by_fullname,:last_edited_by_username,:last_edited_date,:last_modified_by,:last_modified_on,:parent_folder_id,:path,:project_id,:title,:tracker_unit_id, :attributes!)
		TrackerFieldSoapDO = TFType.new(:created_by,:created_date,:default_text_value,:default_usernames,:disabled,:display_lines,:display_size,:field_type,:field_values,:help_text,:hidden_on_create,:id,:last_modified_by,:last_modified_date,:name,:parent_child_field_value_map,:parent_field_id,:pattern,:required,:user_filter,:value_type,:version, :attributes!)
		TrackerFieldValueSoapDO = TFType.new(:id,:is_default,:value,:value_class, :attributes!)
		TrackerSoapDO = TFType.new(:assignments,:auto_assign_field,:created_by,:created_date,:description,:icon,:id,:last_modified_by,:last_modified_date,:parent_folder_id,:path,:project_id,:title,:version, :attributes!)
		TrackerSoapRow = TFType.new(:created_by,:created_on,:description,:icon,:id,:last_edited_by_fullname,:last_edited_by_username,:last_edited_date,:last_modified_by,:last_modified_on,:parent_folder_id,:path,:project_id,:title, :attributes!)
		TrackerUnitSoapRow = TFType.new(:base_unit_multiplier,:conversion_unit_id,:conversion_unit_multiplier,:display_order,:id,:last_edited_date,:name,:project_id,:version, :attributes!)
		WorkflowTransitionSoapRow = TFType.new(:display_order,:from_status_name,:required_fields,:to_status_name, :attributes!)

	end # module TrackerApp


end # module TeamForge