
module TeamForge
	module WikiApp

######################
#  WikiApp Messages
######################
		AddAttachment = TFSoapRequest.new(:session_id, :wiki_page_id, :file_id, :filename, :mimetype)
		AddAttachments = TFSoapRequest.new(:session_id, :wiki_page_id, :attachments)
		CreateWikiPage = TFSoapRequest.new(:session_id, :project_id, :name, :wiki_text, :version_comment)
		DeleteWikiPage = TFSoapRequest.new(:session_id, :wiki_page_id)
		GetFormattedWikiPageText = TFSoapRequest.new(:session_id, :wiki_page_id)
		GetWikiPageDataByName = TFSoapRequest.new(:session_id, :project_id, :wiki_page_name)
		GetWikiPageData = TFSoapRequest.new(:session_id, :wiki_page_id)
		GetWikiPageList = TFSoapRequest.new(:session_id, :project_id)
		SetWikiPageData = TFSoapRequest.new(:session_id, :wiki_page_data)


######################
#  WikiApp Types
######################

		AttachmentSoapDO = TFType.new(:attachment_file_id,:attachment_file_name,:attachment_mime_type,:created_by,:created_date,:id,:last_modified_by,:last_modified_date,:version, :attributes!)
		WikiPageSoapDO = TFType.new(:created_by,:created_date,:date_version_created,:folder_id,:id,:last_modified_by,:last_modified_date,:path,:title,:version,:version_comment,:version_created_by,:wiki_page_version,:wiki_text, :attributes!)
		WikiPageSoapRow = TFType.new(:date_version_created,:id,:version_created_by,:wiki_page_name,:wiki_page_version, :attributes!)

	end # module WikiApp


end # module TeamForge