module TeamForge
  
  class TFSoapRequest < Struct

    ######
    # All Soap Requests sent to TeamForge are messages packaged in Ruby Structs. Structs maintain the proper parameter order that is required by TeamForge
    # and allow for incremental building.
    #
    # Calling this method 'request' on any Soap Message Struct in teamforge will send it to the server specified.
    # The TeamForge module will remember the TeamForge server specified so it doesn't have to be entered each time.
    ######
    def request(server=nil, ssl=nil, proxy=nil) 
	    TeamForge.request(self, server, ssl, proxy) 
    end
    
    
  end #class
  
  
  
end #module